(*        GREATIS DELPHI PAGES         *)
(* Copyright (C) 2001 Greatis Software *)
(*  web: http://www.greatisdelphi.com  *)
(*     e-mail: delphi@greatis.com      *)

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  DaysInYear: array[1..12] of Integer = (31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);
  Days, Month, Year: Word;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Month:=StrToInt(Edit1.Text);
  Year:=StrToInt(Edit2.Text);
  if (IsLeapYear(Year)=True)and(Month=2) then
    Days:=DaysInYear[Month]+1
  else Days:=DaysInYear[Month];
  Label1.Caption:=IntToStr(Days)+' days in '+Edit2.text+' year';
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  Present: TDateTime;
begin
  Present:=Now;
  DecodeDate(Present, Year, Month, Days);
  Edit1.Text:=IntToStr(Month);
  Edit2.Text:=IntToStr(Year);
end;

end.
